Change dune setup script to use /cvmfs by default.
Status: Closed Start date: 01/06/2017
Priority: Normal Due date:

Assignee: Tingjun Yang % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
As /grid/fermiapp is filling up for DUNE, we should start using dune software in /cvmfs by default.

History

#1 - 02/21/2017 09:17 AM - Tingjun Yang

The transition is done.

After the transition, some people reported see the following error:

ERROR: Version conflict -- dependency tree requires versions conflicting with current setup of product : full descriptions setpath v1_11 -f NULL -z
/grid/fermiapp/products/common/db vs setpath vi_11 -f NULL -z /cvmfs/fermilab.opensciencegrid.org/products/common/db

INFO: no optional setup of duneutil vO1_23_11 -q +e10:+prof

Here is the solution:
Check all of your login files: .bash_profile, .bash_login, .login, .shrc, .bashrc etc. If you see the following or something similar, you need to comment it
out:

pa=/grid/fermiapp/products/common/etc
if [ -r "$pa/setups.sh" ]
then
"$pa/setups.sh"
if ups exist login
then
setup login

fi

fi

or

pa=/grid/fermiapp/products/common/etc

if [ -r "$pa/setups.sh" ]
then

"Spa/setups.sh"
fi

if ups exist shrc
then

setup shrc

fi

You also need to rebuild your local release. Here are the instructions for rebuilding dunetpc v06_24 00:

Relogin dunegpvmOl (or any gpvm node)

source /grid/fermiapp/products/dune/setup_dune.sh
setup dunetpc v06_24_00 -g elO:prof

cd to your local release top directory

rm -rf localProducts_larsoft_v06_24_00_elO_prof
mrb newDev -p

source localProducts_larsoft_v06_24_00_el0_prof/setup
cd $MRB_BUILDDIR

mrb z

mrbsetenv

mrb i -j4

mrbslp
#2 - 02/21/2017 09:17 AM - Tingjun Yang
- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 02/21/2017 09:22 AM - Tingjun Yang

- Status changed from Resolved to Closed
